/**
 * <copyright>
 * </copyright>
 *
 */
package org.openxma.dsl.ddl.ddlDsl.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import org.openxma.dsl.ddl.ddlDsl.AddTableConstraint;
import org.openxma.dsl.ddl.ddlDsl.Alter;
import org.openxma.dsl.ddl.ddlDsl.AlterTableAction;
import org.openxma.dsl.ddl.ddlDsl.Column;
import org.openxma.dsl.ddl.ddlDsl.ColumnComment;
import org.openxma.dsl.ddl.ddlDsl.Comment;
import org.openxma.dsl.ddl.ddlDsl.Constraint;
import org.openxma.dsl.ddl.ddlDsl.Create;
import org.openxma.dsl.ddl.ddlDsl.CreateIndex;
import org.openxma.dsl.ddl.ddlDsl.CreateTable;
import org.openxma.dsl.ddl.ddlDsl.Ddl;
import org.openxma.dsl.ddl.ddlDsl.DdlDslPackage;
import org.openxma.dsl.ddl.ddlDsl.DdlStatement;
import org.openxma.dsl.ddl.ddlDsl.Drop;
import org.openxma.dsl.ddl.ddlDsl.DropTableConstraint;
import org.openxma.dsl.ddl.ddlDsl.ForeignKeyConstraint;
import org.openxma.dsl.ddl.ddlDsl.LargeObjectType;
import org.openxma.dsl.ddl.ddlDsl.LongRaw;
import org.openxma.dsl.ddl.ddlDsl.NullableConstraint;
import org.openxma.dsl.ddl.ddlDsl.PrimaryKeyConstraint;
import org.openxma.dsl.ddl.ddlDsl.Raw;
import org.openxma.dsl.ddl.ddlDsl.ReferenceClause;
import org.openxma.dsl.ddl.ddlDsl.RowIdType;
import org.openxma.dsl.ddl.ddlDsl.SqlBoolean;
import org.openxma.dsl.ddl.ddlDsl.SqlCharacter;
import org.openxma.dsl.ddl.ddlDsl.SqlDataType;
import org.openxma.dsl.ddl.ddlDsl.SqlDate;
import org.openxma.dsl.ddl.ddlDsl.SqlDateTime;
import org.openxma.dsl.ddl.ddlDsl.SqlInterval;
import org.openxma.dsl.ddl.ddlDsl.SqlNumber;
import org.openxma.dsl.ddl.ddlDsl.SqlTimeStamp;
import org.openxma.dsl.ddl.ddlDsl.TableComment;
import org.openxma.dsl.ddl.ddlDsl.TableProperty;
import org.openxma.dsl.ddl.ddlDsl.UniqueKeyConstraint;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.openxma.dsl.ddl.ddlDsl.DdlDslPackage
 * @generated
 */
public class DdlDslAdapterFactory extends AdapterFactoryImpl
{
  /**
     * The cached model package.
     * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
     * @generated
     */
  protected static DdlDslPackage modelPackage;

  /**
     * Creates an instance of the adapter factory.
     * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
     * @generated
     */
  public DdlDslAdapterFactory()
  {
        if (modelPackage == null) {
            modelPackage = DdlDslPackage.eINSTANCE;
        }
    }

  /**
     * Returns whether this factory is applicable for the type of the object.
     * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
     * @return whether this factory is applicable for the type of the object.
     * @generated
     */
  @Override
  public boolean isFactoryForType(Object object)
  {
        if (object == modelPackage) {
            return true;
        }
        if (object instanceof EObject) {
            return ((EObject)object).eClass().getEPackage() == modelPackage;
        }
        return false;
    }

  /**
     * The switch that delegates to the <code>createXXX</code> methods.
     * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
     * @generated
     */
  protected DdlDslSwitch<Adapter> modelSwitch =
    new DdlDslSwitch<Adapter>() {
            @Override
            public Adapter caseDdl(Ddl object) {
                return createDdlAdapter();
            }
            @Override
            public Adapter caseDdlStatement(DdlStatement object) {
                return createDdlStatementAdapter();
            }
            @Override
            public Adapter caseAlter(Alter object) {
                return createAlterAdapter();
            }
            @Override
            public Adapter caseAlterTableAction(AlterTableAction object) {
                return createAlterTableActionAdapter();
            }
            @Override
            public Adapter caseDropTableConstraint(DropTableConstraint object) {
                return createDropTableConstraintAdapter();
            }
            @Override
            public Adapter caseComment(Comment object) {
                return createCommentAdapter();
            }
            @Override
            public Adapter caseTableComment(TableComment object) {
                return createTableCommentAdapter();
            }
            @Override
            public Adapter caseColumnComment(ColumnComment object) {
                return createColumnCommentAdapter();
            }
            @Override
            public Adapter caseAddTableConstraint(AddTableConstraint object) {
                return createAddTableConstraintAdapter();
            }
            @Override
            public Adapter caseCreate(Create object) {
                return createCreateAdapter();
            }
            @Override
            public Adapter caseCreateTable(CreateTable object) {
                return createCreateTableAdapter();
            }
            @Override
            public Adapter caseCreateIndex(CreateIndex object) {
                return createCreateIndexAdapter();
            }
            @Override
            public Adapter caseTableProperty(TableProperty object) {
                return createTablePropertyAdapter();
            }
            @Override
            public Adapter caseColumn(Column object) {
                return createColumnAdapter();
            }
            @Override
            public Adapter caseDrop(Drop object) {
                return createDropAdapter();
            }
            @Override
            public Adapter caseConstraint(Constraint object) {
                return createConstraintAdapter();
            }
            @Override
            public Adapter caseNullableConstraint(NullableConstraint object) {
                return createNullableConstraintAdapter();
            }
            @Override
            public Adapter caseUniqueKeyConstraint(UniqueKeyConstraint object) {
                return createUniqueKeyConstraintAdapter();
            }
            @Override
            public Adapter casePrimaryKeyConstraint(PrimaryKeyConstraint object) {
                return createPrimaryKeyConstraintAdapter();
            }
            @Override
            public Adapter caseForeignKeyConstraint(ForeignKeyConstraint object) {
                return createForeignKeyConstraintAdapter();
            }
            @Override
            public Adapter caseReferenceClause(ReferenceClause object) {
                return createReferenceClauseAdapter();
            }
            @Override
            public Adapter caseSqlDataType(SqlDataType object) {
                return createSqlDataTypeAdapter();
            }
            @Override
            public Adapter caseSqlCharacter(SqlCharacter object) {
                return createSqlCharacterAdapter();
            }
            @Override
            public Adapter caseSqlNumber(SqlNumber object) {
                return createSqlNumberAdapter();
            }
            @Override
            public Adapter caseLongRaw(LongRaw object) {
                return createLongRawAdapter();
            }
            @Override
            public Adapter caseLong(org.openxma.dsl.ddl.ddlDsl.Long object) {
                return createLongAdapter();
            }
            @Override
            public Adapter caseRaw(Raw object) {
                return createRawAdapter();
            }
            @Override
            public Adapter caseSqlDateTime(SqlDateTime object) {
                return createSqlDateTimeAdapter();
            }
            @Override
            public Adapter caseSqlDate(SqlDate object) {
                return createSqlDateAdapter();
            }
            @Override
            public Adapter caseSqlTimeStamp(SqlTimeStamp object) {
                return createSqlTimeStampAdapter();
            }
            @Override
            public Adapter caseSqlInterval(SqlInterval object) {
                return createSqlIntervalAdapter();
            }
            @Override
            public Adapter caseLargeObjectType(LargeObjectType object) {
                return createLargeObjectTypeAdapter();
            }
            @Override
            public Adapter caseRowIdType(RowIdType object) {
                return createRowIdTypeAdapter();
            }
            @Override
            public Adapter caseSqlBoolean(SqlBoolean object) {
                return createSqlBooleanAdapter();
            }
            @Override
            public Adapter defaultCase(EObject object) {
                return createEObjectAdapter();
            }
        };

  /**
     * Creates an adapter for the <code>target</code>.
     * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
     * @param target the object to adapt.
     * @return the adapter for the <code>target</code>.
     * @generated
     */
  @Override
  public Adapter createAdapter(Notifier target)
  {
        return modelSwitch.doSwitch((EObject)target);
    }


  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.Ddl <em>Ddl</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.Ddl
     * @generated
     */
  public Adapter createDdlAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.DdlStatement <em>Ddl Statement</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.DdlStatement
     * @generated
     */
  public Adapter createDdlStatementAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.Alter <em>Alter</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.Alter
     * @generated
     */
  public Adapter createAlterAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.AlterTableAction <em>Alter Table Action</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.AlterTableAction
     * @generated
     */
  public Adapter createAlterTableActionAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.DropTableConstraint <em>Drop Table Constraint</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.DropTableConstraint
     * @generated
     */
  public Adapter createDropTableConstraintAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.Comment <em>Comment</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.Comment
     * @generated
     */
  public Adapter createCommentAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.TableComment <em>Table Comment</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.TableComment
     * @generated
     */
  public Adapter createTableCommentAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.ColumnComment <em>Column Comment</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.ColumnComment
     * @generated
     */
  public Adapter createColumnCommentAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.AddTableConstraint <em>Add Table Constraint</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.AddTableConstraint
     * @generated
     */
  public Adapter createAddTableConstraintAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.Create <em>Create</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.Create
     * @generated
     */
  public Adapter createCreateAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.CreateTable <em>Create Table</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.CreateTable
     * @generated
     */
  public Adapter createCreateTableAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.CreateIndex <em>Create Index</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.CreateIndex
     * @generated
     */
  public Adapter createCreateIndexAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.TableProperty <em>Table Property</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.TableProperty
     * @generated
     */
  public Adapter createTablePropertyAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.Column <em>Column</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.Column
     * @generated
     */
  public Adapter createColumnAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.Drop <em>Drop</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.Drop
     * @generated
     */
  public Adapter createDropAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.Constraint <em>Constraint</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.Constraint
     * @generated
     */
  public Adapter createConstraintAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.NullableConstraint <em>Nullable Constraint</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.NullableConstraint
     * @generated
     */
  public Adapter createNullableConstraintAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.UniqueKeyConstraint <em>Unique Key Constraint</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.UniqueKeyConstraint
     * @generated
     */
  public Adapter createUniqueKeyConstraintAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.PrimaryKeyConstraint <em>Primary Key Constraint</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.PrimaryKeyConstraint
     * @generated
     */
  public Adapter createPrimaryKeyConstraintAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.ForeignKeyConstraint <em>Foreign Key Constraint</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.ForeignKeyConstraint
     * @generated
     */
  public Adapter createForeignKeyConstraintAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.ReferenceClause <em>Reference Clause</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.ReferenceClause
     * @generated
     */
  public Adapter createReferenceClauseAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.SqlDataType <em>Sql Data Type</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.SqlDataType
     * @generated
     */
  public Adapter createSqlDataTypeAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.SqlCharacter <em>Sql Character</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.SqlCharacter
     * @generated
     */
  public Adapter createSqlCharacterAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.SqlNumber <em>Sql Number</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.SqlNumber
     * @generated
     */
  public Adapter createSqlNumberAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.LongRaw <em>Long Raw</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.LongRaw
     * @generated
     */
  public Adapter createLongRawAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.Long <em>Long</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.Long
     * @generated
     */
  public Adapter createLongAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.Raw <em>Raw</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.Raw
     * @generated
     */
  public Adapter createRawAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.SqlDateTime <em>Sql Date Time</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.SqlDateTime
     * @generated
     */
  public Adapter createSqlDateTimeAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.SqlDate <em>Sql Date</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.SqlDate
     * @generated
     */
  public Adapter createSqlDateAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.SqlTimeStamp <em>Sql Time Stamp</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.SqlTimeStamp
     * @generated
     */
  public Adapter createSqlTimeStampAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.SqlInterval <em>Sql Interval</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.SqlInterval
     * @generated
     */
  public Adapter createSqlIntervalAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.LargeObjectType <em>Large Object Type</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.LargeObjectType
     * @generated
     */
  public Adapter createLargeObjectTypeAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.RowIdType <em>Row Id Type</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.RowIdType
     * @generated
     */
  public Adapter createRowIdTypeAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.ddl.ddlDsl.SqlBoolean <em>Sql Boolean</em>}'.
     * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.ddl.ddlDsl.SqlBoolean
     * @generated
     */
  public Adapter createSqlBooleanAdapter()
  {
        return null;
    }

  /**
     * Creates a new adapter for the default case.
     * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
     * @return the new adapter.
     * @generated
     */
  public Adapter createEObjectAdapter()
  {
        return null;
    }

} //DdlDslAdapterFactory
